<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.lz.modules.app.dao.StaffWorkTransferRecordDao">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.lz.modules.app.entity.StaffWorkTransferRecordEntity" id="staffWorkTransferRecordMap">
        <result property="id" column="id"/>
        <result property="isDelete" column="is_delete"/>
        <result property="createTime" column="create_time"/>
        <result property="updateTime" column="update_time"/>
        <result property="staffId" column="staff_id"/>
        <result property="transferTime" column="transfer_time"/>
        <result property="transferRecord" column="transfer_record"/>
        <result property="transferType" column="transfer_type"/>
    </resultMap>
    <select id="getWorkInfoByStaffId" resultType="com.lz.modules.app.dto.StaffWorkTransferDto">
        select DATE_FORMAT(transfer_time,'%Y-%m-%d') transfer_time,transfer_record,transfer_type from lz_staff_work_transfer_record where is_delete=0 and staff_id=#{staffId}
    </select>


</mapper>
